My Funding Payments
Rocky impl:
GET /v1/funding/me✓
Per-position funding payments emitted at 8-hour ticks.
Request
GET /v1/funding/me?user_id={user_id}&symbol=BTC-PERP&status=settled&limit=100&since=2026-04-26T00:00:00Z
Query params
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
user_id | UUID | yes | — | Caller. |
symbol | string | no | (all) | Filter by Rocky symbol. |
status | string | no | (all) | One of pending, batched, settled. |
limit | integer | no | 100 | Clamped to 500. |
since | RFC-3339 | no | now − 30 days | Lower bound on ts. |
Response — 200
[
{
"payment_id": "p-1748275200-001",
"tick_id": "t-1748275200",
"user_id": "5cfb031b-5936-4467-9533-cd2df576dbb8",
"symbol": "BTC-PERP",
"position_qty": "0.001",
"mark_price": "76538.12",
"rate": "0.000125",
"payment": "0.0096",
"status": "settled",
"ts": "2026-05-26T08:00:00Z"
}
]